AbstractVndErrorRenderer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.rest.render.errors
[Groovy] Class AbstractVndErrorRenderer

    java.lang.Object
      grails.rest.render.errors.AbstractVndErrorRenderer

All Implemented Interfaces:
  ContainerRenderer

    @groovy.transform.CompileStatic
    abstract class AbstractVndErrorRenderer
    extends java.lang.Object

Abstract super type for Vnd.Error renderers

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary
`static java.lang.String` | `HREF_ATTRIBUTE`
`static java.lang.String` | `LOGREF_ATTRIBUTE`
`static java.lang.String` | `MESSAGE_ATTRIBUTE`
`static java.lang.String` | `RESOURCE_ATTRIBUTE`

Property Summary
`boolean` | `absoluteLinks`
`java.lang.String` | `encoding`
`LinkGenerator` | `linkGenerator`
`org.springframework.context.MessageSource` | `messageSource`
`boolean` | `prettyPrint`

Method Summary
`java.lang.Class` | `getComponentType()`
`protected java.lang.Object` | `getObjectId(java.lang.Object target)`
`java.lang.Class` | `getTargetType()`
`protected java.lang.String` | `resolveLogRef(java.lang.Object target, org.springframework.validation.ObjectError oe)` Resolve the 'logref' attribute for the error

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### HREF_ATTRIBUTE

    public static final java.lang.String HREF_ATTRIBUTE

### LOGREF_ATTRIBUTE

    public static final java.lang.String LOGREF_ATTRIBUTE

### MESSAGE_ATTRIBUTE

    public static final java.lang.String MESSAGE_ATTRIBUTE

### RESOURCE_ATTRIBUTE

    public static final java.lang.String RESOURCE_ATTRIBUTE

Property Detail

### absoluteLinks

    boolean absoluteLinks

### encoding

    java.lang.String encoding

### linkGenerator

    @org.springframework.beans.factory.annotation.Autowired
    LinkGenerator linkGenerator

### messageSource

    @org.springframework.beans.factory.annotation.Autowired
    org.springframework.context.MessageSource messageSource

### prettyPrint

    boolean prettyPrint

Method Detail

### getComponentType

    @java.lang.Override
    java.lang.Class getComponentType()

### getObjectId

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected java.lang.Object getObjectId(java.lang.Object target)

### getTargetType

    @java.lang.Override
    java.lang.Class getTargetType()

### resolveLogRef

    protected java.lang.String resolveLogRef(java.lang.Object target, org.springframework.validation.ObjectError oe)

  Resolve the 'logref' attribute for the error
  Parameters:
    `target` - The target object that caused the error
    `oe` - The ObjectError instance
  Returns:
    The log reference

Groovy Documentation